package com.example.iot_controlhost.model.net;

import java.util.Map;

/**
 * 配置项-服务器上传与下载
 */
public class WebSet {
    /**
     * 配置-上次更新时间戳
     */
    private long setUpdateTime;
    /**
     * 配置项-内容
     */
    private Map<String,Object> setJson;

    /**
     * 房间类型-不同的房间配置项不同
     */
    private String roomType ;

    public WebSet(long setUpdateTime, Map<String,Object> setJson) {
        this.setUpdateTime = setUpdateTime;
        this.setJson = setJson;
        this.roomType = "共育室";
    }

    public long getSetUpdateTime() {
        return setUpdateTime;
    }

    public void setSetUpdateTime(long setUpdateTime) {
        this.setUpdateTime = setUpdateTime;
    }

    public Map<String,Object> getSetJson() {
        return setJson;
    }

    public void setSetJson(Map<String,Object> setJson) {
        this.setJson = setJson;
    }
}